# Create a SCIM token (raw token shown once)

> Source: https://elaichi.ai/docs/api-reference/scim-tokens/scim-token/createscimtoken/

`POST /scim-token`

Resource: **Scim Token** · API: **SCIM tokens**

## Request body

- **`name`** _(string)_
- **`sso_connection_id`** _(string)_

## Code examples

### curl

```bash
curl -X POST 'https://api.elaichi.ai/scim-token' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"your_name","sso_connection_id":"your_sso_connection_id"}'
```

### JavaScript

```javascript
const body = {
  "name": "your_name",
  "sso_connection_id": "your_sso_connection_id"
};

const response = await fetch('https://api.elaichi.ai/scim-token', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/scim-token"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "name": "your_name",
    "sso_connection_id": "your_sso_connection_id"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```
